Page MenuHomePhabricator

Make WikibaseQualityConstraints extension installable with data-value/time ~1.0
Closed, ResolvedPublic

Description

Acceptance requirement

  • WikibaseQualityConstraints should be installable with data-value/time 1.0
  • WikibaseQualityConstraints should still be installable with data-value/time 0.8
  • WikibaseQualityConstraints should no longer be installable with data-values/time 0.8, now that mediawiki-vendor is updated
  • Any changes to the extension needed to maintain functionality should be made.

The release notes for the version difference can be found @ https://github.com/DataValues/Time/blob/master/README.md#release-notes

Event Timeline

Addshore triaged this task as Normal priority.Sep 18 2018, 3:09 PM
Addshore updated the task description. (Show Details)
Addshore updated the task description. (Show Details)
Addshore renamed this task from Make WikibaseQuality extension installable with data-value/time ~1.0 to Make WikibaseQualityConstraints extension installable with data-value/time ~1.0.Nov 1 2018, 2:19 PM
Addshore updated the task description. (Show Details)

Change 474738 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikibaseQualityConstraints@master] composer, state dependancy on missing datavalues deps

https://gerrit.wikimedia.org/r/474738

Change 474742 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikibaseQualityConstraints@master] composer: "data-values/time": "^1.0.1" only

https://gerrit.wikimedia.org/r/474742

Restricted Application added a project: User-Addshore. · View Herald TranscriptNov 19 2018, 5:00 PM

Change 474738 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] composer, state dependancy on missing datavalues deps

https://gerrit.wikimedia.org/r/474738

Change 474742 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] composer: "data-values/time": "^1.0.1" only

https://gerrit.wikimedia.org/r/474742